/*
	2001 Microsoft Corporation. All rights reserved.
*/

var iBaseOffsetTop			= 111;

var iDrawerClosedPos		= 157;
var iDrawerOpenedPos		= 206+iBaseOffsetTop;

var bEqualizerOpen			= false;
var bPlaylistOpen			= false;

var bVideoPlaying			= false;
var bVisualizerOpen			= false;

var iVolumeSmallLeft		= 285;
var iVolumeSmallTop			= 75+iBaseOffsetTop;
var iMinCloseSmallLeft		= 326;
var iMinCloseSmallTop		= 75+iBaseOffsetTop;

var iVideoSmallLeft			= 91;
var iVideoSmallTop			= 58+iBaseOffsetTop;
var iVideoSmallWidth		= 195;
var iVideoSmallHeight		= 127;


var iScreenCtrls320Left		= 312;
var iScreenCtrls320Top		= 3;

var iVolume320Left			= 418;
var iVolume320Top			= 65;
var iMinClose320Left		= 438;
var iMinClose320Top			= 18;

var iVideo320Left			= 100;
var iVideo320Top			= 48;
var iVideo320Width			= 320;
var iVideo320Height			= 240;


var iScreenCtrls640Left		= 745;
var iScreenCtrls640Top		= 11;
var iVolume640Left			= 869;
var iVolume640Top			= 218;


var	kPlaylist				= 1;
var kEqualizer				= 2;
var iLastOpenDrawer			= kPlaylist;

var kVideoSmall				= 1;
var kVideo320				= 2;
var iVideoMode				= kVideoSmall;


var visClosedPos = 33;
var visOpenedPos = 59;
var visIsOpen	 = false;
var vidIsPlaying = false;

var widthClosed = 549;
var widthOpened = 760

var speed = 120;

////////////////////////////////////////////////////////////////////////////////

function Init()
{
	playlist.setColumnResizeMode( 0, "Stretches" );
	playlist.setColumnResizeMode( 1, "AutoSizeData" );

	Visualizer.currentEffectType = mediacenter.effectType;
	Visualizer.currentPreset = mediacenter.effectPreset;

	bVideoPlaying = (player.OpenState == osMediaOpen) &&
					(player.currentMedia.ImageSourceWidth>0);
	bVideoPlaying ? VideoStart() : VideoEnd();
}

////////////////////////////////////////////////////////////////////////////////

function OnClose()
{
	mediacenter.effectType = Visualizer.currentEffectType;
	mediacenter.effectPreset = Visualizer.currentPreset;
}

////////////////////////////////////////////////////////////////////////////////

function VideoStart()
{
	bVideoPlaying		= true;
	Visualizer.visible	= false;
	btnAlbumArt.visible	= false;
	Video.visible		= true;
}

////////////////////////////////////////////////////////////////////////////////

function VideoEnd()
{
	btnAlbumArt.visible	= false;
	Video.visible		= false;
	bVideoPlaying		= false;
	Visualizer.visible	= true;
}

////////////////////////////////////////////////////////////////////////////////

function DrawerToggle()
{
	if( bEqualizerOpen || bPlaylistOpen )
	{
		DrawerClose();
	}
	else
	{
		if( iLastOpenDrawer==kEqualizer )
		{
			ToggleEqualizer();
		}
		else if( iLastOpenDrawer==kPlaylist )
		{
			TogglePlaylist();
		}
	}
}

////////////////////////////////////////////////////////////////////////////////

function DrawerClose()
{
	if( bEqualizerOpen )
	{
		ToggleEqualizer();
		iLastOpenDrawer = kEqualizer;
	}
	else if ( bPlaylistOpen )
	{
		TogglePlaylist();
		iLastOpenDrawer = kPlaylist;
	}
}

////////////////////////////////////////////////////////////////////////////////

function DrawerEndMove()
{
	if( bEqualizerOpen )
	{
	}
	else if( bPlaylistOpen )
	{
		playlist.visible = true;
	}
}

////////////////////////////////////////////////////////////////////////////////

function ToggleEqualizer()
{
	if( bEqualizerOpen )
	{
		btnEqualizerReset.visible = false;
		btnDrawerClose.visible = false;
		bEqualizerOpen = false;
		svEqualizer.visible = false;
		svDrawer.moveTo( svDrawer.left, iDrawerClosedPos, speed );
		btnDrawerClose.upToolTip = "";
		btnEqualizerToggle.upToolTip = xEqTt.toolTip;
		btnDrawerToggle.upToolTip = xEqTt.toolTip;
	}
	else
	{
		DrawerClose();

		bEqualizerOpen = true;
		svEqualizer.visible = true;
		btnEqualizerReset.visible = true;
		btnDrawerClose.visible = true;
		svDrawer.moveTo( svDrawer.left, iDrawerOpenedPos, speed );
		btnDrawerClose.upToolTip = xEqTt.value;
		btnEqualizerToggle.upToolTip = xEqTt.value;
		btnDrawerToggle.upToolTip = xEqTt.value;
	}
}

////////////////////////////////////////////////////////////////////////////////

function TogglePlaylist()
{
	if( bPlaylistOpen )
	{
		btnDrawerClose.visible = false;
		playlist.visible = false;
		bPlaylistOpen = false;
		svDrawer.moveTo( svDrawer.left, iDrawerClosedPos, speed );
		btnDrawerClose.upToolTip = "";
		btnPlaylistToggle.upToolTip = xPlTt.toolTip;
		btnDrawerToggle.upToolTip = xPlTt.toolTip;
	}
	else
	{
		DrawerClose();

		bPlaylistOpen = true;
		btnDrawerClose.visible = true;
		svDrawer.moveTo( svDrawer.left, iDrawerOpenedPos, speed );
		btnDrawerClose.upToolTip = xPlTt.value;
		btnPlaylistToggle.upToolTip = xPlTt.value;
		btnDrawerToggle.upToolTip = xPlTt.value;
	}
}

////////////////////////////////////////////////////////////////////////////////

function DisplayVisualizer()
{
	btnAlbumArt.visible	= false;
	Video.visible		= false;
	Visualizer.visible	= true;
}

////////////////////////////////////////////////////////////////////////////////

function DisplayAlbumArt()
{
	Video.visible		= false;
	Visualizer.visible	= false;
	if( iVideoMode==kVideoSmall )
	{
		btnAlbumArt.image	= "WMPImage_AlbumArtSmall";
	}
	else
	{
		btnAlbumArt.image	= "WMPImage_AlbumArtLarge";
	}
	btnAlbumArt.visible	= true;
}

////////////////////////////////////////////////////////////////////////////////

function PlaylistOnEndMove()
{
	if( bPlaylistOpen )
		playlist.visible = true;
}

////////////////////////////////////////////////////////////////////////////////

function EqOnEndMove()
{
	sEqView.visible =
		bEqClose.visible = eqIsOpen;
}

////////////////////////////////////////////////////////////////////////////////

function ShowVideoSmall()
{
	sv320.visible = false;
//	sv640.visible = false;
//	svScreenCtrls.left	= iScreenCtrlsSmallLeft;
//	svScreenCtrls.top	= iScreenCtrlsSmallTop;
	svVolume.left		= iVolumeSmallLeft;
	svVolume.top		= iVolumeSmallTop;
	svMinClose.left		= iMinCloseSmallLeft;
	svMinClose.top		= iMinCloseSmallTop;

	svDisplay.left		= iVideoSmallLeft;
	svDisplay.top		= iVideoSmallTop;
	svDisplay.width		= iVideoSmallWidth;
	svDisplay.height	= iVideoSmallHeight;

	Video.width			= iVideoSmallWidth;
	Video.height		= iVideoSmallHeight;

	Visualizer.width	= iVideoSmallWidth;
	Visualizer.height	= iVideoSmallHeight;

	btnAlbumArt.width	= iVideoSmallWidth;
	btnAlbumArt.height	= iVideoSmallHeight;

	svScreenCtrls.visible = false;
	svScreenCtrlsSmall.visible = true;

	if( btnAlbumArt.visible )
		DisplayAlbumArt();
}

////////////////////////////////////////////////////////////////////////////////

function ShowVideo320()
{
//	sv640.visible = false;
	sv320.visible = true;

	svScreenCtrls.left	= iScreenCtrls320Left;
	svScreenCtrls.top	= iScreenCtrls320Top;
	svVolume.left		= iVolume320Left;
	svVolume.top		= iVolume320Top;
	svMinClose.left		= iMinClose320Left;
	svMinClose.top		= iMinClose320Top;

	svDisplay.left		= iVideo320Left;
	svDisplay.top		= iVideo320Top;
	svDisplay.width		= iVideo320Width;
	svDisplay.height	= iVideo320Height;

	Video.width			= iVideo320Width;
	Video.height		= iVideo320Height;

	Visualizer.width	= iVideo320Width;
	Visualizer.height	= iVideo320Height;

	btnAlbumArt.width	= iVideo320Width;
	btnAlbumArt.height	= iVideo320Height;

	svScreenCtrlsSmall.visible = false;
	svScreenCtrls.visible = true;

	if( btnAlbumArt.visible )
		DisplayAlbumArt();
}

////////////////////////////////////////////////////////////////////////////////

function ShowVideo640()
{
/*
	sv320.visible		= false;
//	sv640.visible = true;
	svScreenCtrls.left	= iScreenCtrls640Left;
	svScreenCtrls.top	= iScreenCtrls640Top;
	svVolume.left		= iVolume640Left;
	svVolume.top		= iVolume640Top;
*/
}

////////////////////////////////////////////////////////////////////////////////

function AdjustAudio()
{
	eq.gainLevel2 = (8*bass.value +   treble.value)/9;
	eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
	eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
	eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
	eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
	eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
	eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
	eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
}

////////////////////////////////////////////////////////////////////////////////